org.bouncycastle.crypto.tls

## Class TlsRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.bouncycastle.crypto.tls.TlsRuntimeException

All Implemented Interfaces:
  java.io.Serializable

    public class TlsRuntimeException
    extends java.lang.RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TlsRuntimeException(java.lang.String message)`
`TlsRuntimeException(java.lang.String message, java.lang.Throwable e)`

### Method Summary

Methods
`java.lang.Throwable` `getCause()`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TlsRuntimeException

    public TlsRuntimeException(java.lang.String message,
                       java.lang.Throwable e)

#### TlsRuntimeException

    public TlsRuntimeException(java.lang.String message)

### Method Detail

#### getCause

    public java.lang.Throwable getCause()

Overrides:
  `getCause` in class `java.lang.Throwable`